PDA

View Full Version : 4.0.7 localisation issues as a result of repackaging



hschaefer123
28 Oct 2011, 3:04 AM
The following german translation does not work, because it uses the wrong namespace.


if(Ext.grid.GroupingFeature){
Ext.apply(Ext.grid.GroupingFeature.prototype, {
emptyGroupText : '(Keine)',
groupByText : 'Dieses Feld gruppieren',
showGroupsText : 'In Gruppen anzeigen'
});
}

should be


if(Ext.grid.feature.Grouping){
Ext.apply(Ext.grid.feature.Grouping.prototype, {
emptyGroupText : '(Keine)',
groupByText : 'Dieses Feld gruppieren',
showGroupsText : 'In Gruppen anzeigen'
});
}


Hopefully sencha will stop changing package names on future releases, because i think your development tools does not support refactoring on documentation and also on localisation level.

I did not understand, why you did the last API changes in Ext JS Beta 3? Normally at this stage there should not be such refactorings.

The result is, that documentation and localisation in 4.0.7 is still inconsistent and Ext 4.0.7 is currently not really production ready on the same level like Ext 3.